From 91f6e4754d0245b3d24bafbdc99d8a51a95df7f6 Mon Sep 17 00:00:00 2001
From: Sergey Radionov <RSATom@gmail.com>
Date: Thu, 24 Nov 2011 10:40:02 +0700
Subject: [PATCH] build/vc2008: Added README

---
 build/vc2008/README.txt |   30 ++++++++++++++++++++++++++++++
 1 files changed, 30 insertions(+), 0 deletions(-)
 create mode 100644 build/vc2008/README.txt

diff --git a/build/vc2008/README.txt b/build/vc2008/README.txt
new file mode 100644
index 0000000..5724b63
--- /dev/null
+++ b/build/vc2008/README.txt
@@ -0,0 +1,30 @@
+To build under Visual Studio 2008:
+
+1) Download "msinttypes" package from
+http://code.google.com/p/msinttypes/ and extract to some folder;
+
+2) Download "Gecko SDK" (at least 8.0) from
+https://developer.mozilla.org/en/Gecko_SDK and extract to some folder;
+
+3) Download "vlc-1.2" (at this moment only nightly builds available)
+from: http://nightlies.videolan.org/build/win32/last/ and
+extract/install to some folder;
+
+4) Add path to "msinttypes", "Gecko SDK" include(xulrunner-sdk\include)
+and vlc-1.2 SDK include (vlc-1.2.0-pre1\sdk\include) to VC Include
+directories (Tools > Options > Projects and Solutions > VC++ Directories
+> Include files);
+
+5) Add path to vlc-1.2 SDK Libs (vlc-1.2.0-pre1\sdk\lib) to VC Library
+directories (Tools > Options > Projects and Solutions > VC++ Directories
+> Library files);
+
+6) Prepare MinGW/MSys build enveronment as described in
+http://wiki.videolan.org/Win32CompileMSYSNew,
+then run "autogen.sh" and "configure";
+OR
+6) Just download prebuild versions of axvlc_rc.rc and npvlc_rc.rc files from
+http://code.google.com/p/vc-axnp-vlc/downloads/list and extract at the
+root folder of project;
+
+7) Open build\vc2008\axnp.sln in Visual Studio and enjoy.
-- 
1.7.7.1.msysgit.0

